#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Ptex - texture mapping system by Walt Disney Animation Studios
Summary(pl.UTF-8):	Ptex - system odwzorowywania tekstur z Walt Disney Animation Studios
Name:		ptex
Version:	2.4.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/wdas/ptex/tags
Source0:	https://github.com/wdas/ptex/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	286a63357de9cbc41511a54231891f61
URL:		http://ptex.us/
BuildRequires:	cmake >= 3.8.0
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ptex is a texture mapping system developed by Walt Disney Animation
Studios for production-quality rendering:
- No UV assignment is required; Ptex applies a separate texture to
  each face of a subdivision or polygon mesh.
- The Ptex file format can efficiently store hundreds of thousands of
  texture images in a single file.
- The Ptex API provides cached file I/O and high-quality filtering -
  everything that is needed to easily add Ptex support to a
  production-quality renderer or texture authoring application.

%description -l pl.UTF-8
Ptex to system odwzorowywania tekstur stworzony przez Walt Disney
Animation Studios do renderowania z jakością produkcyjną:
- Nie wymaga przypisań UV; stosuje osobną teksturę dla każdej ściany
  podziału lub siatki wielokątnej.
- Format plików Ptex może wydajnie przechowywać setki tysięcy obrazów
  tekstur w pojedynczym pliku.
- API Ptex udostępnia operacje we/wy z buforowaniem oraz wysokiej
  jakości filtrowanie - to wystarczy, żeby dodać obsługę plików Ptex do
  renderera o jakości produkcyjnej lub aplikacji do tworzenia tekstur.

%package devel
Summary:	Header files for Ptex library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Ptex
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for Ptex library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Ptex.

%package static
Summary:	Static Ptex library
Summary(pl.UTF-8):	Statyczna biblioteka Ptex
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Ptex library.

%description static -l pl.UTF-8
Statyczna biblioteka Ptex.

%package apidocs
Summary:	Ptex API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Ptex
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for Ptex library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Ptex.

%prep
%setup -q

# see CMakeLists.txt:34-38 (if (NOT DEFINED PTEX_VER) ...)
echo %{version} > version

%build
mkdir build
cd build
%cmake ..

%{__make}

%if %{with apidocs}
%{__make} doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE src/doc/filterfootprint.txt
%attr(755,root,root) %{_bindir}/ptxinfo
%attr(755,root,root) %{_libdir}/libPtex.so.2.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libPtex.so
%{_includedir}/Ptex*.h
%{_datadir}/cmake/Ptex

%files static
%defattr(644,root,root,755)
%{_libdir}/libPtex.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc src/doc/ptex/*.{css,html,js,png}
%endif
%changelog
* Wed Apr 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ptex.git;a=log;h=master

* Wed Apr 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 2b3b398
- updated to 2.4.2

* Sun Feb 19 2023 Jan Palus <atler@pld-linux.org> 7dd740e
- Release 2 (by relup.sh)

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 165cd54
- do track soname

* Tue Feb 08 2022 Jan Rękorajski <baggins@pld-linux.org> 75cdd51
- up to 2.4.1

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9677f2c
- unconditional noarch subpackages

* Mon Dec 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 2d2625a
- updated to 2.3.2

* Sun Feb 26 2017 Jan Rękorajski <baggins@pld-linux.org> b551737
- up to 2.1.28

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 17d8d02
- noarch apidocs

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> f65ba40
- make is racy

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 1a9eaf5
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> ef55886
- updated to 2.0.42

* Sat Nov 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 953d160
- new

